
#include "ServiceLocator.h"

#include "SoundManager.h"
#include "NullSoundManager.h"

ServiceLocator &ServiceLocator::getInstance() {
	static ServiceLocator serviceLocator;
	return serviceLocator;
}

ServiceLocator::ServiceLocator() {
}

SoundService *ServiceLocator::getSoundService() {
#if NULL_SOUND == 1
	static SoundService *soundService = new NullSoundManager();
#else
	static SoundService *soundService = new SoundManager();
#endif
	return soundService;
}
