
#include "Navmesh.h"

//ONLY EVER use this class in NavmeshTest.cpp, it exposes
// a bunch of read-only properties of Navmesh for testing purposes.
class NavmeshExposer : public Navmesh {
public:
    using Navmesh::findPolyPath;
    using Navmesh::getPath;
    using Navmesh::AdjNode;
    using Navmesh::PathNode;

	const std::vector<Edge<int>> &getEdges() const;
	const std::vector<std::vector<sf::Vector2f> > &getPolys() const;
	const std::vector<std::vector<AdjNode> > &getAdjList() const;

	std::pair<float, float> getPrio(unsigned poly) const;
private:
};
