/**
 * \brief Describes an object that can move by itself.
 * \author Ed Lu
 * \date March 2 2013
 */

#ifndef __MOVABLE_H
#define __MOVABLE_H

#include "Entity.h"
class Level;

class Movable : public Entity
{
public:
	Movable(std::string imgLoc, sf::IntRect collisionBox, sf::IntRect animBox);

	virtual void move(Level &level, sf::Vector2f movement);
private:
	void ResolveXMove(Level &level, sf::Vector2f movement);
	void ResolveYMove(Level &level, sf::Vector2f movement);
};

#endif
